Summary: The SASL library API for the Cyrus mail system.
Name: cyrus-sasl
Version: 1.5.24
Release: 1
Group: Libraries
Copyright: distributable
URL: http://asg.web.cmu.edu/cyrus/imapd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{name}-%{version}.tar.gz
BuildRequires: librc4, libdes
Buildroot: /var/tmp/%{name}-root

%description
The cyrus-sasl package contains the SASL library API implementation
for the Cyrus mail system.


%prep
%setup -q


%build
# We *must* build shared libraries of cyrus-sasl. Static libraries simply
# won't work.
# Since cyrus-sasl is dynamic all the libraries it depends on must also
# be dynamic, including librc4 and libdes. That's why I need to hack the
# Makefile of libdes to force it to generate dynamic libraries.
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr \
	--enable-login
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9f $RPM_BUILD_ROOT/usr/man/man*/*
rm -f doc/Makefile*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc
/usr/include/*
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

